COSA-WALLET(1)

NAME
cosanta-wallet - manual page for cosanta-wallet v23.1.8

DESCRIPTION
Cosanta Core cosanta-wallet version v23.1.8

cosanta-wallet is an offline tool for creating and interacting with Cosanta Core wallet files. By default cosanta-wallet will act on wallets in the default mainnet wallet directory in the datadir. To change the target wallet, use the -datadir, -wallet and -regtest/-testnet arguments.

  Usage:

    cosanta-wallet [options] <command>

OPTIONS

-?

    Print this help message and exit

-datadir=<dir>

    Specify data directory

-descriptors

    Create descriptors wallet. Only for 'create'

-dumpfile=<file name>

    When used with 'dump', writes out the records to this file. When used with 'createfromdump', loads the records into a new wallet.

-format=<format>

    The format of the wallet file to create. Either "bdb" or "sqlite". Only used with 'createfromdump'

-usehd

    Create HD (hierarchical deterministic) wallet (default: 1)

-version

    Print version and exit

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, devnet, regtest

-devnet=<name>

    Use devnet chain with provided name

-testnet

    Use the test chain. Equivalent to -chain=test

Commands:

    create

    Create new wallet file

    createfromdump

    Create new wallet file from dumped records

    dump

    Print out all of the wallet key-value records

    info

    Get wallet info

    salvage

    Attempt to recover private keys from a corrupt wallet. Warning: 'salvage' is experimental.

    wipetxes

    Wipe all transactions from a wallet

COPYRIGHT
Copyright (C) 2014-2026 The Cosanta Core developers Copyright (C) 2009-2026 The Bitcoin Core developers Please contribute if you find Cosanta Core useful. Visit <https://cosa.is/> for further information about the software. The source code is available from <https://github.com/cosanta/cosanta-core>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>